import pygame

def create_grid(rows, cols):
    """
    This function creates and returns a list of lists, intended to
    represent a grid. All of the grid cells are filled with False.
    """
    grid = []
    for r in range(0,rows):
        row = []
        for c in range(0, cols):
            row = row + [False]
        grid = grid + [row]
    return grid

            
def run_game():
    
    ## Initialize the pygame submodules and set up the display window.

    pygame.init()

    width = 650
    height = 600
    my_win = pygame.display.set_mode((width,height))


    ## Initialize game objects.

    ## GAME LOOP starts
    keepGoing = True    
    while (keepGoing):

        ## Handle events.

        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                keepGoing = False


        ## Update game objects.


        ## Draw picture and update display.

        my_win.fill(pygame.color.Color("lightblue"))

        pygame.display.update()

    ## GAME LOOP ends

    pygame.quit()


## To test:
print create_grid(0,0)
print create_grid(3,4)



